<!DOCTYPE html>
<html
        layout:decorator="student/index"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:th="http://www.thymeleaf.org"
>
<body>
<main layout:fragment="main">

    <div class="container">

        <h1 th:text="#{student.courses.label}"></h1>

        <nav>
            <div class="nav-wrapper white black-text">

                <a
                        class="btn btn-flat search-exit"
                        th:href="@{/student/lehrveranstaltungen}"
                        th:text="#{search.clear}"
                        th:unless="${#strings.isEmpty(searchString)}"
                ></a>

                <form>
                    <div class="input-field">
                        <input id="search" name="search" th:placeholder="#{student.courses.search}"
                               th:value="${searchString}"
                               type="search"/>
                        <label for="search"><i class="material-icons black-text">search</i></label>
                    </div>
                </form>
            </div>
        </nav>

        <div
                class="section-separator"
                th:if="${#lists.isEmpty(allCourses.getContent())}"
                th:text="#{student.courses.notfound}"
        ></div>

        <ul
                class="collection z-depth-1"
                th:unless="${#lists.isEmpty(allCourses.getContent())}"
        >

            <li class="collection-item" th:each="course : ${allCourses.getContent()}">
                <a
                        class="secondary-content modal-trigger btn"
                        th:href="'#modal'+__${course.id}__"
                        th:text="#{enroll}">
                </a>
                <a class="title teal-text"
                   th:href="@{/student/lehrveranstaltungen/__${course.id}__}"
                   th:text="${course.subject.name}"></a>
                <div th:text="${course.semester.label} + ', ' + ${course.subject.ects} + ' ECTS'"></div>

                <div class="modal small" th:id="'modal'+__${course.id}__">
                    <div class="modal-content">
                        <h5 class="" th:text="${course.subject.name}"></h5>
                        <h6 class="" th:text="#{student.courses.enroll}"></h6>
                    </div>
                    <div class="modal-footer">
                        <form
                                method="POST"
                                th:action="@{/student/anmelden/__${course.id}__}"
                                th:id="'registerForm-' + ${course.id}"
                        >
                            <button
                                    class="modal-action modal-close btn"
                                    th:text="#{enroll}"
                                    type="submit"
                            ></button>

                            <a class="modal-action modal-close waves-effect btn-flat" th:text="#{cancel}"></a>
                        </form>
                    </div>
                </div>
            </li>
        </ul>

        <!-- Pagination -->
        <ul class="pagination center" th:if="${allCourses.totalPages > 1}">
            <li class="disabled" th:if="${allCourses.isFirst()}">
                <a href="#"><i class="material-icons disabled">chevron_left</i></a>
            </li>
            <li th:if="${not allCourses.isFirst()}">
                <a th:href="@{/student/lehrveranstaltungen(page=__${allCourses.getNumber()-1}__, search=__${searchString}__)}"><i
                        class="material-icons">chevron_left</i></a>
            </li>

            <li class="waves-effect" th:if="${allCourses.getNumber()-4 >= 0}">
                <a th:href="@{/student/lehrveranstaltungen(page=0, search=__${searchString}__)}"
                   th:text="1"></a>
            </li>
            <li th:if="${allCourses.getNumber()-4 > 0}"><a th:text="..."></a></li>

            <li class="waves-effect" th:if="${allCourses.getNumber()-3 >= 0}">
                <a th:href="@{/student/lehrveranstaltungen(page=__${allCourses.getNumber()-3}__, search=__${searchString}__)}"
                   th:text="${allCourses.getNumber()-2}"></a>
            </li>
            <li class="waves-effect" th:if="${allCourses.getNumber()-2 >= 0}">
                <a th:href="@{/student/lehrveranstaltungen(page=__${allCourses.getNumber()-2}__, search=__${searchString}__)}"
                   th:text="${allCourses.getNumber()-1}"></a>
            </li>
            <li class="waves-effect" th:if="${allCourses.getNumber()-1 >= 0}">
                <a th:href="@{/student/lehrveranstaltungen(page=__${allCourses.getNumber()-1}__, search=__${searchString}__)}"
                   th:text="${allCourses.getNumber()}"></a>
            </li>
            <li class="active teal"><a th:text="${allCourses.getNumber()+1}"></a></li>
            <li class="waves-effect"
                th:if="${allCourses.getNumber()+1 &lt;= allCourses.getTotalPages()-1}">
                <a th:href="@{/student/lehrveranstaltungen(page=__${allCourses.getNumber()+1}__, search=__${searchString}__)}"
                   th:text="${allCourses.getNumber()+2}"></a>
            </li>
            <li class="waves-effect"
                th:if="${allCourses.getNumber()+2 &lt;= allCourses.getTotalPages()-1}">
                <a th:href="@{/student/lehrveranstaltungen(page=__${allCourses.getNumber()+2}__, search=__${searchString}__)}"
                   th:text="${allCourses.getNumber()+3}"></a>
            </li>
            <li class="waves-effect"
                th:if="${allCourses.getNumber()+3 &lt;= allCourses.getTotalPages()-1}">
                <a th:href="@{/student/lehrveranstaltungen(page=__${allCourses.getNumber()+3}__, search=__${searchString}__)}"
                   th:text="${allCourses.getNumber()+4}"></a>
            </li>

            <li th:if="${allCourses.getNumber()+4 &lt; allCourses.getTotalPages()-1}"><a
                    th:text="..."></a></li>
            <li class="waves-effect"
                th:if="${allCourses.getNumber()+4 &lt;= allCourses.getTotalPages()-1}">
                <a th:href="@{/student/lehrveranstaltungen(page=__${allCourses.getTotalPages()-1}__, search=__${searchString}__)}"
                   th:text="${allCourses.getTotalPages()}"></a>
            </li>
            <li class="disabled" th:if="${allCourses.isLast()}">
                <a href="#"><i class="material-icons">chevron_right</i></a>
            </li>
            <li th:if="${!allCourses.isLast()}">
                <a th:href="@{/student/lehrveranstaltungen(page=__${allCourses.getNumber()+1}__, search=__${searchString}__)}"><i
                        class="material-icons">chevron_right</i></a>
            </li>
        </ul>

    </div>

</main>

</body>
</html>
